<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 9/26/15
 * Time: 2:53 PM
 */

use Luticate\Generator\LuGenerator;

require_once('../vendor/autoload.php');

$config = ['databases' => [
    [
        'name'      => 'mydb',
        'driver'    => 'pgsql',
        'host'      => '172.17.0.1',
        'port'      => 5432,
        'database'  => 'intra_betaclean',
        'username'  => 'dev',
        'password'  => 'dev'
    ]
]];

$gen = new LuGenerator($config['databases'][0]);

echo "\n\nDEFAULT\n\n";

$gen->run();

$gen->setConfig(array("dbo" =>
    array(
        "namespace" => 'Luticate\Package\Dbo',
        "folder" => 'generated/Package/Dbo'
    ),
    "models" =>
        array(
            "namespace" => 'Luticate\Package\DataAccess\Models',
            "folder" => 'generated/Package/DataAccess/Models'
        ),
    "sp" =>
        array(
            "namespace" => 'Luticate\Package\DataAccess\SP',
            "folder" => 'generated/Package/DataAccess/SP'
        ),
    "dataaccess" =>
        array(
            "namespace" => 'Luticate\Package\DataAccess',
            "folder" => 'generated/Package/DataAccess'
        ),
    "business" =>
        array(
            "namespace" => 'Luticate\Package\Business',
            "folder" => 'generated/Package/Business'
        ),
    "controller" =>
        array(
            "namespace" => 'Luticate\Package\Controller',
            "folder" => 'generated/Package/Controller'
        ),
    "mode" => 0777,
    "ignore" => array(
        "tables" => array(
            "/^luticate_users_groups$/"
        ),
        "sp" => array(
            "/^sp_lu_get/"
        ),
        "controllers" => array(
            "/^LuticatePermissions(Groups|Users)Controller$/"
        )
    )
));

echo "\n\nCONFIG\n\n";
$gen->run();